ONVIF::Analytics::Types::MediaUri(3)

NAME
ONVIF::Analytics::Types::MediaUri

DESCRIPTION
Perl data type class for the XML Schema defined complexType MediaUri from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Uri

•   InvalidAfterConnect

•   InvalidAfterReboot

•   Timeout

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::MediaUri
   Uri =>  $some_value, # anyURI
   InvalidAfterConnect =>  $some_value, # boolean
   InvalidAfterReboot =>  $some_value, # boolean
   Timeout =>  $some_value, # duration
 },

AUTHOR
Generated by SOAP::WSDL